Organizations

Update organization

Update organization details. Requires organization-level authentication (JWT Bearer token). API keys are not supported for this endpoint.

AuthBearer (JWT)
GroupOrganizations
Rate limitSee Rate Limits
PATCH/api/orgs/{orgId}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, OrganizationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const organizations = new OrganizationsApi(configuration);
import { Configuration, OrganizationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const organizations = new OrganizationsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await organizations.updateOrganization(
  "org_wSBYTuTYat",
  {
    name: "Doreen Brekke",
    description: "The Sandy Chicken is the latest in a series of coordinated products from Schaden - Jones",
    logo: "panel transmit",
    website: "card program",
    settings: "driver override"
  }
);
const { data: result } = await organizations.updateOrganization(
  "org_wSBYTuTYat",
  {
    name: "Doreen Brekke",
    description: "The Sandy Chicken is the latest in a series of coordinated products from Schaden - Jones",
    logo: "panel transmit",
    website: "card program",
    settings: "driver override"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
orgIdstringYes

Request Body

json
{
  "name": "Johnathan Torp I",
  "description": "Introducing the French Polynesia-inspired Towels, blending amazing style with local craftsmanship",
  "logo": "https://taut-flight.net/",
  "website": "microchip quantify",
  "settings": {}
}
{
  "name": "Johnathan Torp I",
  "description": "Introducing the French Polynesia-inspired Towels, blending amazing style with local craftsmanship",
  "logo": "https://taut-flight.net/",
  "website": "microchip quantify",
  "settings": {}
}

Responses

200Organization updated
json
{
  "message": "Organization updated successfully",
  "org": {
    "_id": "685acbe0e129932fbb7a0fc3",
    "name": "Mudbase Inc Updated",
    "slug": "mudbase-inc"
  }
}
{
  "message": "Organization updated successfully",
  "org": {
    "_id": "685acbe0e129932fbb7a0fc3",
    "name": "Mudbase Inc Updated",
    "slug": "mudbase-inc"
  }
}
Edit this page on GitHub